<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";


if($gdir!="" && $gpoddir!="" && $gname!=""){

if($maxsize==""){$maxsize = 100;}

$image=BASEDIR."$gdir/$gpoddir/$gname";

if($act=="jpg"){
$size = GetImageSize($image); 
$width = $size[0]; 
$height = $size[1]; 

$x_ratio = $maxsize / $width; 
$y_ratio = $maxsize / $height; 

if ( ($width <= $maxsize) && ($height <= $maxsize) ) { 
  $tn_width = $width; 
  $tn_height = $height; 
} 
else if (($x_ratio * $height) < $maxsize) { 
  $tn_height = ceil($x_ratio * $height); 
  $tn_width = $maxsize; 
} 
else { 
  $tn_width = ceil($y_ratio * $width); 
  $tn_height = $maxsize; 
} 

$src = ImageCreateFromJpeg($image); 
$dst = ImageCreateTrueColor($tn_width,$tn_height); 
ImageCopyResized($dst, $src, 0, 0, 0, 0, 
    $tn_width,$tn_height,$width,$height); 
header("Content-type: image/jpeg"); 
ImageJpeg ($dst, null, 40);
ImageDestroy($src); 
ImageDestroy($dst); }	  
  	  
  	  
if($act=="gif"){
$size = GetImageSize($image); 
$width = $size[0]; 
$height = $size[1]; 

$x_ratio = $maxsize / $width; 
$y_ratio = $maxsize / $height; 

if ( ($width <= $maxsize) && ($height <= $maxsize) ) { 
  $tn_width = $width; 
  $tn_height = $height; 
} 
else if (($x_ratio * $height) < $maxsize) { 
  $tn_height = ceil($x_ratio * $height); 
  $tn_width = $maxsize; 
} 
else { 
  $tn_width = ceil($y_ratio * $width); 
  $tn_height = $maxsize; 
} 

$src = ImageCreateFromGif($image); 
$dst = ImageCreateTrueColor($tn_width,$tn_height); 
ImageCopyResized($dst, $src, 0, 0, 0, 0, 
    $tn_width,$tn_height,$width,$height); 
header("Content-type: image/gif"); 
ImageGif ($dst); 
ImageDestroy($src); 
ImageDestroy($dst); }	  	  
  	  
if($act=="png"){
$size = GetImageSize($image); 
$width = $size[0]; 
$height = $size[1]; 

$x_ratio = $maxsize / $width; 
$y_ratio = $maxsize / $height; 

if ( ($width <= $maxsize) && ($height <= $maxsize) ) { 
  $tn_width = $width; 
  $tn_height = $height; 
} 
else if (($x_ratio * $height) < $maxsize) { 
  $tn_height = ceil($x_ratio * $height); 
  $tn_width = $maxsize; 
} 
else { 
  $tn_width = ceil($y_ratio * $width); 
  $tn_height = $maxsize; 
} 

$src = ImageCreateFromPng($image); 
$dst = ImageCreateTrueColor($tn_width,$tn_height); 
ImageCopyResized($dst, $src, 0, 0, 0, 0, 
    $tn_width,$tn_height,$width,$height); 
header("Content-type: image/png"); 
ImagePng ($dst); 
ImageDestroy($src); 
ImageDestroy($dst); } 	  
}
?>